Mark a build comment thread as resolved
Mark a comment thread on a build as resolved. Use it when the feedback in a thread has been addressed.
Mark a comment thread on a build as resolved. Use it when the feedback in a thread has been addressed.
Authenticate as a user with a personal access token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <personal-access-token>Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.
In: header
Path Parameters
1 <= length1 <= lengthThe build number
Public ID of any comment in the thread (e.g. comment-xf23d)
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/string/builds/string/comments/string/resolve"{ "id": "string", "buildId": "string", "testId": "string", "mediaId": "string", "mediaVersionId": "string", "threadId": "string", "body": null, "text": "string", "author": { "id": "string", "slug": "string", "name": "string" }, "agent": { "id": "string", "name": "string" }, "screenshotDiffId": "string", "anchor": { "type": "point", "x": 0, "y": 0 }, "pending": true, "resolvedAt": "string", "editedAt": "string", "createdAt": "string", "reactions": [ { "emoji": "string", "count": 0, "users": [ { "id": "string", "slug": "string", "name": "string" } ] } ]}Remove an emoji reaction from a comment on a build DELETE
Remove an emoji reaction previously added by the authenticated user from a comment on a build. Use it to take back an emoji reaction added by mistake.
Reopen a resolved build comment thread POST
Reopen a previously resolved comment thread on a build. Use it when a resolved thread needs more discussion.